Subject: Re: [RFC/RFT 02/23] net: phylink: Plumb eee_active in mac_link_up call

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 27 Mar 2023 18:57:49 +0100

On Mon, Mar 27, 2023 at 07:01:40PM +0200, Andrew Lunn wrote:
> MAC drivers need to know the result of the auto negotiation of Energy
> Efficient Ethernet. This is a simple boolean, it should be active or
> not in the MAC. Extend the mac_link_up call to pass this.
> 
> Currently the correct value should be passed, however no MAC drivers
> have been modified to actually use it. Yet.
> 
> Signed-off-by: Andrew Lunn <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!